%define _name bmp
%define pre %nil
%define beta %nil
%def_disable static
%def_with esound
%def_without diskwriter
%def_without mikmod
%def_without mesa
%def_without gnome

Name: beep
Version: 0.9.6.1
Release: alt0.2%pre
Serial: 1

Summary: The GTK+2 port of XMMS
License: GPL
Group: Sound
Url: http://beepmp.sourceforge.net

Source: %url/%_name-%version.tar.gz
Patch: %_name-0.9.6.1-alt-config.patch

Source1: %name-16x16.xpm
Source2: %name-32x32.xpm
Source3: %name-48x48.xpm

Requires: lib%name = %version-%release

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Thu Dec 25 2003
BuildRequires: XFree86-devel-static XFree86-libs esound-devel fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel libalsa-devel libatk-devel libaudiofile-devel libgtk+2-devel libogg-devel libpango-devel libstdc++-devel libvorbis-devel pkgconfig zlib-devel

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

This package provides Beep is a GTK+2 port of XMMS.

%description -l ru_RU.KOI8-R
X MultiMedia System -   .    
  WinAmp,     WinAmp.  
   : mp3s, mods, s3ms,   . 
    input, output, general,  visualization .

%package -n lib%name
Summary: Library associated with %name, needed for %name and its plugins.
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name
This library is mandatory for %name and for all its plugins to run.

%description  -n lib%name -l ru_RU.KOI8-R
    %name    .

%package -n lib%name-devel
Summary: Development package with headers for %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files required for compiling %name plugins.

%description -n lib%name-devel -l ru_RU.KOI8-R
       %name.

%package -n lib%name-devel-static
Summary: Development package with static libs for %name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries required for compiling %name plugins.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     
 %name.

%package output-esd
Summary: ESound output backend for %name
Group: Sound
BuildPreReq: esound-devel
Requires: %name = %version-%release
Requires: esound >= 0.2.14

%description output-esd
Output plugin for %name for use with the esound package

%description output-esd -l ru_RU.KOI8-R
Output      esound

%package output-diskwriter
Summary: DiskWriter output backend for %name
Group: Sound
Requires: %name = %version-%release

%description output-diskwriter
Output plugin for %name in order to output *.wav files instead of playing
sound on the soundcard.

%package -n gnome-applets-extra-beep
Summary: Gnome applet for %name
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n gnome-applets-extra-beep
GNOME applet for controlling %name from the GNOME panel

%description -n gnome-applets-extra-beep -l ru_RU.KOI8-R
   xmms   GNOME.

%package input-mikmod
Summary: Mikmod input plugin for %name
Group: Sound
BuildPreReq: libmikmod-devel
Requires: %name = %version-%release
Requires: libmikmod >= 3.1.6

%description input-mikmod
Input plugin for %name to play MODs (.MOD,.XM,.S3M, etc)

%package visualization-mesa
Summary: Visualization plugins for %name that use the Mesa3d library
Group: Sound
Requires: %name = %version-%release
BuildPreReq: Mesa-devel

%description visualization-mesa
3D Visualization plugins for %name that use the Mesa3d library.

%description visualization-mesa -l ru_RU.KOI8-R
Visualization   %name,   Mesa3d.

%package input-vorbis
Summary: XMMS - Input plugin for %name that use the Vorbis library
Summary(ru):	Input   %name,   Vorbis.
Group: Sound
Requires: %name = %version-%release, libvorbis >= 1.0rc2, libogg >= 1.0rc2
BuildPreReq: libvorbis

%description input-vorbis
Input plugins for %name that use the Vorbis library.

%description input-vorbis -l ru_RU.KOI8-R
Input   %name,   Vorbis.

%define _beep_libdir %_libdir/%_name
%define _beep_datadir %_datadir/%_name
%define _beep_general_dir %_beep_libdir/General
%define _beep_input_dir %_beep_libdir/Input
%define _beep_output_dir %_beep_libdir/Output
%define _beep_effect_dir %_beep_libdir/Effect
%define _beep_visualization_dir %_beep_libdir/Visualization

%prep
%setup -q -n %_name-%version
%patch -p1

%build
%set_verify_elf_method textrel=relaxed

%configure \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install
%__mkdir_p %buildroot{%_beep_general_dir,%_beep_effect_dir,%_beep_visualization_dir}

# menu
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ >%buildroot%_menudir/%name
?package(%name): \
needs="x11" \
section="Multimedia/Sound" \
title="Beep" \
longtitle="A GTK+2 port of XMMS" \
command="soundwrapper beep-media-player" \
kde_mimetype="video/mpeg;audio/x-mp3;audio/x-ogg;audio/x-mpegurl;audio/x-wav" \
icon="%name.xpm"
__MENU__

# icons
%__mkdir_p %buildroot%_miconsdir
%__mkdir_p %buildroot%_liconsdir
%__install -m644 %SOURCE1 %buildroot%_miconsdir/%name.xpm
%__install -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

# macros
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__RPM_MACROS__ >%buildroot%_sysconfdir/rpm/macros.d/%_name
%%_beep_libdir %%(%name-config --plugin-dir)
%%_beep_datadir %%(%name-config --data-dir)
%%_beep_general_dir %%(%name-config --general-plugin-dir)
%%_beep_input_dir %%(%name-config --input-plugin-dir)
%%_beep_output_dir %%(%name-config --output-plugin-dir)
%%_beep_effect_dir %%(%name-config --effect-plugin-dir)
%%_beep_visualization_dir %%(%name-config --visualization-plugin-dir)
__RPM_MACROS__

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%_name
^%_sysconfdir/rpm/macros.d/%_name$
__EOF__

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_beep_libdir/*/*.la

%if_disabled static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_beep_libdir/*/*.a
%endif

%find_lang %_name

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %_name.lang
%_bindir/beep-media-player
%dir %_beep_libdir
%dir %_beep_general_dir
%dir %_beep_input_dir
%dir %_beep_output_dir
%dir %_beep_effect_dir
%dir %_beep_visualization_dir

%_beep_input_dir/libmpg123.so
%_beep_input_dir/libcdaudio.so
%_beep_input_dir/libwav.so

%_beep_output_dir/libOSS.so
%_beep_output_dir/libALSA.so

%_beep_visualization_dir/libbscope.so

%dir %_beep_datadir
%_beep_datadir/*
%_datadir/applications/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_menudir/*
%_man1dir/*
%doc AUTHORS ChangeLog FAQ NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%config %_sysconfdir/rpm/macros.d/%_name
%_sysconfdir/buildreqs/files/ignore.d/%_name

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_beep_libdir/*/*.a
%endif

%if_with esound
%files output-esd
%_beep_output_dir/libesdout.so
%endif

%if_with diskwriter
%files output-diskwriter
%_beep_output_dir/libdisk_writer.so
%endif

%if_with gnome
%files -n gnome-applets-extra-beep
%config(noreplace) /etc/CORBA/servers/*
%_bindir/gnomexmms
%_datadir/applets/Multimedia/gnomexmms.desktop
%_datadir/mime-info/xmms.keys
%_datadir/pixmaps/*
%_man1dir/gnomexmms.1.*
%endif

%if_with mikmod
%files input-mikmod
%_beep_input_dir/libmikmod.so
%endif

%if_with mesa
%files visualization-mesa
%_libdir/xmms/Visualization/libogl_spectrum.so
%endif

%files input-vorbis
%_beep_input_dir/libvorbis.so

%changelog
* Mon Jan 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.2
- fix beep-config to build extra plugins.
- libbeep-devel puts some macros in /etc/rpm/macros.d/bmp.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.1
- new version.

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre4
- 1.0.0pre4

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre3
- new version

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre2
- First build for Sisyphus.
